CircleRenderer
Date: 2019-10-22

org.jmol.g3d

## Class CircleRenderer

- java.lang.Object
- - org.jmol.g3d.CircleRenderer

- All Implemented Interfaces:
    G3DRenderer

      public final class CircleRenderer
      extends java.lang.Object
      implements G3DRenderer

  Implements flat circle drawing/filling routines.

  Author:
    Miguel, miguel@jmol.org

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Graphics3D` | `g3d`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CircleRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `plotCircleCenteredClipped(int xCenter, int yCenter, int zCenter, int diameter)`
    `(package private) void` | `plotCircleCenteredUnclipped(int xCenter, int yCenter, int zCenter, int diameter)`
    `(package private) void` | `plotFilledCircleCenteredClipped(int xCenter, int yCenter, int zCenter, int diameter)`
    `(package private) void` | `plotFilledCircleCenteredUnclipped(int xCenter, int yCenter, int zCenter, int diameter)`
    `private void` | `plotPixelsClipped(int argb, int count, int x, int y, int z, int width, int height, int[] zbuf, Pixelator p)`
    `G3DRenderer` | `set(JmolRendererInterface g3d, GData gdata)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### g3d

          private Graphics3D g3d

  - ### Constructor Detail

    - #### CircleRenderer

          public CircleRenderer()

  - ### Method Detail

    - #### set

          public G3DRenderer set(JmolRendererInterface g3d,
                                 GData gdata)

      Specified by:
        `set` in interface `G3DRenderer`

    - #### plotCircleCenteredClipped

          void plotCircleCenteredClipped(int xCenter,
                                         int yCenter,
                                         int zCenter,
                                         int diameter)

    - #### plotCircleCenteredUnclipped

          void plotCircleCenteredUnclipped(int xCenter,
                                           int yCenter,
                                           int zCenter,
                                           int diameter)

    - #### plotFilledCircleCenteredClipped

          void plotFilledCircleCenteredClipped(int xCenter,
                                               int yCenter,
                                               int zCenter,
                                               int diameter)

    - #### plotPixelsClipped

          private void plotPixelsClipped(int argb,
                                         int count,
                                         int x,
                                         int y,
                                         int z,
                                         int width,
                                         int height,
                                         int[] zbuf,
                                         Pixelator p)

    - #### plotFilledCircleCenteredUnclipped

          void plotFilledCircleCenteredUnclipped(int xCenter,
                                                 int yCenter,
                                                 int zCenter,
                                                 int diameter)